hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-19203) Update Hadoop version used for build to 2.7.4
Date Wed, 08 Nov 2017 17:12:00 GMT

    [ https://issues.apache.org/jira/browse/HBASE-19203?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16244331#comment-16244331
] 

Andrew Purtell commented on HBASE-19203:
----------------------------------------

I see that failure on master and am not sure it is related, because we have no problems on
other branches.

{noformat}
$ git co -f branch-1.4
$ git clean -xdf
$ mvn clean install -DskipTests
...
[INFO] BUILD SUCCESS
{noformat}

{noformat}
$ git co -f branch-1.4
$ git clean -xdf
$ mvn clean install -DskipTests | grep ERROR
{noformat}

{noformat}
$ git co -f branch-1
$ git clean -xdf
$ mvn clean install -DskipTests
...
[INFO] BUILD SUCCESS
{noformat}

{noformat}
$ git co -f branch-1
$ git clean -xdf
$ mvn clean install -DskipTests | grep ERROR
{noformat}

{noformat}
$ git co -f branch-2
$ git clean -xdf
$ mvn clean install -DskipTests
...
[INFO] BUILD SUCCESS
{noformat}

{noformat}
$ git co -f branch-2
$ git clean -xdf
$ mvn clean install -DskipTests | grep ERROR
{noformat}

{noformat}
$ git co -f master
$ git clean -xdf
$ mvn clean install -DskipTests
...
[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (check-aggregate-license) @ hbase-assembly
---
[WARNING] Rule 0: org.apache.maven.plugins.enforcer.EvaluateBeanshell failed with message:
License errors detected, for more detail find ERROR in
                    /Users/apurtell/src/hbase/hbase-assembly/target/maven-shared-archive-resources/META-INF/LICENSE
{noformat}


> Update Hadoop version used for build to 2.7.4
> ---------------------------------------------
>
>                 Key: HBASE-19203
>                 URL: https://issues.apache.org/jira/browse/HBASE-19203
>             Project: HBase
>          Issue Type: Sub-task
>            Reporter: Andrew Purtell
>            Assignee: Andrew Purtell
>             Fix For: 2.0.0, 3.0.0, 1.4.0, 1.5.0
>
>         Attachments: HBASE-19203-branch-1.patch, HBASE-19203-branch-1.patch, HBASE-19203.patch
>
>
> See parent. 
> 2.5 is really old. 
> Based on discussions I've seen on the Hadoop *-dev@ lists, Hadoop is thinking about maintaining
2.8 and up, not 2.7. Using 2.7 for convenience binary builds is fine. We should probably update
it to 2.8.2, but that's not strictly necessary so I'll opt for the oldest. 



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message